using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Text;
using System.Threading.Tasks;

namespace zlatnici
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int prvoResenje = 0;
            Console.WriteLine("Unesite broj banaka: ");
            int B = Convert.ToInt32(Console.ReadLine());
            Console.WriteLine();

            Console.WriteLine("Unesite šemu po kojoj su banke povezane (indekse banaka ne odvajati razmakom): ");
            int[] A = new int[B];
            for (int i = 0; i < B - 1; i++)
            {
                string NM = Console.ReadLine();
                int[,] x = new int[int.Parse(NM.Split(' ')[0]), 2];
                int[,] y = new int[int.Parse(NM.Split(' ')[1]), 3];
            }
            Console.WriteLine();
            Console.WriteLine("Unesite pocetni broj zlatnika u svakoj banci (pišite brojeve u zasebnim redovima)");
            int[] K = new int[B];
            for (int i = 0; i < B; i++)
            {
                K[i] = Convert.ToInt32(Console.ReadLine());
                int maxValue = K.Max();
                int maxIndex = K.ToList().IndexOf(maxValue);
                prvoResenje=maxIndex+1;
            }

            Console.WriteLine("Unesite broj upita: ");
            int Q = Convert.ToInt32(Console.ReadLine());
            Console.WriteLine();

            int[] R = new int[Q];
            for (int i = 0; i < Q; i++)
            {
                string upit = Console.ReadLine();
                int[,] z = new int[int.Parse(upit.Split(' ')[0]), 2];
                int[,] b = new int[int.Parse(upit.Split(' ')[1]), 3];

            }

            Console.WriteLine("Optimalne banke su: ");
            Console.WriteLine(prvoResenje);
            Console.ReadLine();
        }
    }
}